Update a dashboard's embed access
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/workbooks/{workbookId}/embed-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allEmbedUsers": true,
"allowEmbed": true,
"embedTenantName": "<string>"
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/workbooks/{workbookId}/embed-access"
payload = {
"allEmbedUsers": True,
"allowEmbed": True,
"embedTenantName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({allEmbedUsers: true, allowEmbed: true, embedTenantName: '<string>'})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/workbooks/{workbookId}/embed-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allEmbedUsers": {
"enabled": true,
"groupId": 123
},
"allowEmbed": true,
"tenants": [
{
"embedTenantName": "<string>",
"groupId": 123
}
]
}Dashboard Embed Access
Update a dashboard's embed access
PUT
/
api
/
v1
/
deployments
/
{deploymentId}
/
workbooks
/
{workbookId}
/
embed-access
Update a dashboard's embed access
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
UpdateEmbedAccessInput
⌘I